<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado    = $_SESSION['idUsuarioLogado'];
$htmlRetorno      = "";
$dataHoje         = date("Y-m-d");
$opcaoFiltro      = $_POST['opcaoFiltro'];
$idUnidadeSaude   = $_POST['idUnidadeSaude'];
$resultadoRetorno = "";
switch ($opcaoFiltro) {

  case "agenda-configuracao":
    $sqlProfissinoal  = "SELECT 
    tb_profissional.codigoprofissional_cnes,
    tb_profissional.nome_profissional,
    rl_cbo.nome_cbo
    FROM tb_profissional_vinculo
    INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    INNER JOIN rl_cbo ON (tb_profissional_vinculo.codigo_cbo = rl_cbo.codigo_cbo)
    WHERE (tb_profissional_vinculo.codigoestabelecimento_cnes='$idUnidadeSaude')
    AND (tb_profissional_vinculo.status_vinculos_profissional='A')
    ORDER BY nome_profissional";
    $stmProfissinoal  = $rsConexao->prepare($sqlProfissinoal);
    $stmProfissinoal->execute();
    if ($stmProfissinoal->rowCount() > 0) {
      $resultadoRetorno = "<option value=''>TODOS...</option>";
      $rsProfissinoal   = $stmProfissinoal->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsProfissinoal as $fiedProfissinoal) {
        $idProfissinoal   = $fiedProfissinoal['codigoprofissional_cnes'];
        $nomeProfissinoal = $fiedProfissinoal['nome_profissional'];
        $nomeCBO          = $fiedProfissinoal['nome_cbo'];
        $resultadoRetorno .= "<option value='$idProfissinoal'>$nomeProfissinoal - (CBO: $nomeCBO)</option>";
      }
    } else {
      $resultadoRetorno = "<option value=''>SELECIONE PRIMEIRO A UNIDADE</option>";
    }
    echo $resultadoRetorno;
    break;

  case "agendamento-consultar":
  case "relatorio-producao":
    $sqlProfissinoal  = "SELECT tb_profissional.codigoprofissional_cnes,
    tb_profissional.nome_profissional,
    reg_tb_agenda.codigoestabelecimento_cnes,
    rl_cbo.nome_cbo
    FROM tb_profissional_vinculo
    INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    INNER JOIN reg_tb_agenda ON (reg_tb_agenda.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    INNER JOIN reg_tb_agenda_sub ON (reg_tb_agenda_sub.id_agenda = reg_tb_agenda.id_agenda)
    INNER JOIN rl_cbo ON (tb_profissional_vinculo.codigo_cbo = rl_cbo.codigo_cbo)
    INNER JOIN reg_tb_agendamentos ON (reg_tb_agendamentos.id_agenda = reg_tb_agenda.id_agenda) AND (reg_tb_agendamentos.id_agenda_sub = reg_tb_agenda_sub.id_agenda_sub)
    WHERE tb_profissional_vinculo.codigoestabelecimento_cnes='$idUnidadeSaude'
    GROUP BY tb_profissional.codigoprofissional_cnes
    ORDER BY nome_profissional";
    $stmProfissinoal  = $rsConexao->prepare($sqlProfissinoal);
    $stmProfissinoal->execute();
    if ($stmProfissinoal->rowCount() > 0) {
      $resultadoRetorno = $opcaoFiltro!="relatorio-producao" ? "<option value=''>SELECIONE...</option>" : "<option value=''>TODOS...</option>";
      $rsProfissinoal   = $stmProfissinoal->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsProfissinoal as $fiedProfissinoal) {
        $idProfissinoal   = $fiedProfissinoal['codigoprofissional_cnes'];
        $nomeProfissinoal = $fiedProfissinoal['nome_profissional'];
        $nomeCBO          = $fiedProfissinoal['nome_cbo'];
        $resultadoRetorno .= "<option value='$idProfissinoal'>$nomeProfissinoal - (CBO: $nomeCBO)</option>";
      }
    } else {
      $resultadoRetorno = $opcaoFiltro!="relatorio-producao" ? "<option value=''>SELECIONE...</option>" : "<option value=''>TODOS...</option>";
    }
    echo $resultadoRetorno;
    break;

  case "profissional-cadastro-lista":
    $sqlProfissinoal  = "SELECT 
    tb_profissional.codigoprofissional_cnes,
    tb_profissional.nome_profissional,
    tb_profissional.cpf_profissional,
    tb_profissional.cns_profissional,
    rl_cbo.nome_cbo,
    tb_profissional_vinculo.status_vinculos_profissional
    FROM tb_profissional_vinculo
    INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    INNER JOIN rl_cbo ON (tb_profissional_vinculo.codigo_cbo = rl_cbo.codigo_cbo)
    WHERE tb_profissional_vinculo.codigoestabelecimento_cnes='$idUnidadeSaude' ORDER BY nome_profissional";
    $stmProfissinoal  = $rsConexao->prepare($sqlProfissinoal);
    $stmProfissinoal->execute();

    if ($stmProfissinoal->rowCount() > 0) {
      $rsProfissinoal   = $stmProfissinoal->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsProfissinoal as $fiedProfissinoal) {
        $idProfissinoal   = $fiedProfissinoal['codigoprofissional_cnes'];
        $nomeProfissinoal = $fiedProfissinoal['nome_profissional'];
        $nomeCBO          = $fiedProfissinoal['nome_cbo'];
        $cpfProfissinoal  = $fiedProfissinoal['cpf_profissional'];
        $cnsProfissinoal  = $fiedProfissinoal['cns_profissional'];
        $styleRegistroDesativado  = $fiedProfissinoal['status_vinculos_profissional'] == "A" ? "" : "style='background-color: #ffadad;color: #860000;'";

        $linkEditarCadastro	= '"editarProfissional(' . "'$idProfissinoal')" . '"';
        if ($fiedProfissinoal['status_vinculos_profissional'] == "A") {
          $linkComandoBloqueio	= '"statusProfissional(' . "'$idProfissinoal','desativar')" . '"';
          $btnComandoBloqueio		= "<i class='icofont icofont-close-squared nova_fonte_delete' title='Desativar registro do profissional.' onclick=$linkComandoBloqueio></i>";
        } else {
          $linkComandoBloqueio	= '"statusProfissional(' . "'$idProfissinoal','ativar')" . '"';
          $btnComandoBloqueio		= "<i class='icofont icofont-checked nova_fonte_blue' style='font-size:16pt' title='Ativar registro do profissional.' onclick=$linkComandoBloqueio></i>";
        }
        echo "<tr $styleRegistroDesativado>
          <td align='center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro do profissional.' onclick=$linkEditarCadastro></i>&nbsp;
            $btnComandoBloqueio
          </td>
          <td>$nomeProfissinoal</td>
          <td>$nomeCBO</td>
          <td align='center'>$cpfProfissinoal</td>
          <td align='center'>$cnsProfissinoal</td>
        </tr>";

      }
  }
    break;
}

?>